# Start command: composer update --classmap-authoritative && vendor/bin/phpstan analyze

includes:
    # https://github.com/phpstan/phpstan/blob/master/conf/bleedingEdge.neon
    - vendor/wpdesk/wp-wpdesk-composer/director/vendor/phpstan/phpstan/conf/bleedingEdge.neon
    # - phar://phpstan.phar/conf/bleedingEdge.neon
    - vendor/wpdesk/wp-wpdesk-composer/director/vendor/szepeviktor/phpstan-wordpress/extension.neon
parameters:
    level: max
    paths:
        - %currentWorkingDirectory%/src/
    autoload_files:
        - %currentWorkingDirectory%/vendor/autoload.php
        - %currentWorkingDirectory%/vendor/wpdesk/wp-wpdesk-composer/director/woocommerce-stubs-3.6.1.php
    excludes_analyse:
        - %currentWorkingDirectory%/src/Plugin/view/
    ignoreErrors:
        - '/WooCommerceProductsExporterVendor\\WPDesk_Plugin_Info/'

#    autoload_files:
#        # Missing constants, function and class stubs
#        - %currentWorkingDirectory%/tests/phpstan/bootstrap.php
#        # Plugin stubs
#        - %currentWorkingDirectory%/tests/phpstan/PLUGIN-stubs.php
#        # Procedural code
#        - %currentWorkingDirectory%/myplugin-functions.php
#    autoload_directories:
#        - %currentWorkingDirectory%/../woocommerce/
